Botan 1.10.17

Public Member Functions | List of all members
Botan::BER_Bad_Tag Struct Reference

`#include <asn1_int.h>`

Inheritance diagram for Botan::BER_Bad_Tag:

## Public Member Functions
| BER_Bad_Tag (const std::string &msg, ASN1_Tag tag)
| BER_Bad_Tag (const std::string &msg, ASN1_Tag tag1, ASN1_Tag tag2)

## Detailed Description

Exception For Incorrect BER Taggings

Definition at line 115 of file asn1_int.h.

## Constructor & Destructor Documentation

## ◆ BER_Bad_Tag() [1/2]

Botan::BER_Bad_Tag::BER_Bad_Tag | ( | const std::string & | msg,
|  | ASN1_Tag | tag
| ) |  |

Definition at line 22 of file asn1_int.cpp.

22 :
23 BER_Decoding_Error(str + ": " + to_string(tag)) {}
Botan::BER_Decoding_Error::BER_Decoding_Error
BER_Decoding_Error(const std::string &)
Definition: asn1_int.cpp:19
Botan::to_string
std::string to_string(u64bit n, size_t min_len)
Definition: parsing.cpp:42

## ◆ BER_Bad_Tag() [2/2]

Botan::BER_Bad_Tag::BER_Bad_Tag | ( | const std::string & | msg,
|  | ASN1_Tag | tag1,
|  | ASN1_Tag | tag2
| ) |  |

Definition at line 25 of file asn1_int.cpp.

26 :
27 BER_Decoding_Error(str + ": " + to_string(tag1) + "/" + to_string(tag2)) {}
Botan::BER_Decoding_Error::BER_Decoding_Error
BER_Decoding_Error(const std::string &)
Definition: asn1_int.cpp:19
Botan::to_string
std::string to_string(u64bit n, size_t min_len)
Definition: parsing.cpp:42

The documentation for this struct was generated from the following files:

- src/asn1/asn1_int.h
- src/asn1/asn1_int.cpp